<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hpsf.PropertySet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hpsf.PropertySet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/PropertySet.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/PropertySet.html" target="_top">Frames</a>
        </li>
        <li><a href="PropertySet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hpsf.PropertySet" class="title">Uses of Class<br>org.apache.poi.hpsf.PropertySet
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                                    title="class in org.apache.poi.hpsf">PropertySet</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi">org.apache.poi</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                   title="class in org.apache.poi.hpsf">PropertySet</a> in <a
                            href="../../../../../org/apache/poi/package-summary.html">org.apache.poi</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/package-summary.html">org.apache.poi</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                title="class in org.apache.poi.hpsf">PropertySet</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-">getPropertySet</a></span>(java.lang.String&nbsp;setName)</code>
                                <div class="block">For a given named property entry, either return it or null if
                                    if it wasn't found
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-org.apache.poi.poifs.crypt.EncryptionInfo-">getPropertySet</a></span>(java.lang.String&nbsp;setName,
                                <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                   title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;encryptionInfo)</code>
                                <div class="block">For a given named property entry, either return it or null if
                                    if it wasn't found
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                   title="class in org.apache.poi.hpsf">PropertySet</a> in <a
                            href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                                        title="class in org.apache.poi.hpsf">PropertySet</a> in <a
                                href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">DocumentSummaryInformation</a></span></code>
                                <div class="block">Convenience class representing a DocumentSummary Information stream
                                    in a
                                    Microsoft Office document.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></span></code>
                                <div class="block">Convenience class representing a Summary Information stream in a
                                    Microsoft Office document.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                title="class in org.apache.poi.hpsf">PropertySet</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertySetFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/PropertySetFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryEntry-java.lang.String-">create</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                    title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;dir,
                                java.lang.String&nbsp;name)</code>
                                <div class="block">Creates the most specific <a
                                        href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                        title="class in org.apache.poi.hpsf"><code>PropertySet</code></a> from an entry
                                    in the specified POIFS Directory.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertySetFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/PropertySetFactory.html#create-java.io.InputStream-">create</a></span>(java.io.InputStream&nbsp;stream)</code>
                                <div class="block">Creates the most specific <a
                                        href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                        title="class in org.apache.poi.hpsf"><code>PropertySet</code></a> from an <code>InputStream</code>.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                title="class in org.apache.poi.hpsf">PropertySet</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html#DocumentSummaryInformation-org.apache.poi.hpsf.PropertySet-">DocumentSummaryInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a>&nbsp;ps)</code>
                                <div class="block">Creates a <a
                                        href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                        title="class in org.apache.poi.hpsf"><code>DocumentSummaryInformation</code></a>
                                    from a given
                                    <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                       title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html#PropertySet-org.apache.poi.hpsf.PropertySet-">PropertySet</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a>&nbsp;ps)</code>
                                <div class="block">Constructs a <code>PropertySet</code> by doing a deep copy of
                                    an existing <code>PropertySet</code>.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html#SummaryInformation-org.apache.poi.hpsf.PropertySet-">SummaryInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                    title="class in org.apache.poi.hpsf">PropertySet</a>&nbsp;ps)</code>
                                <div class="block">Creates a <a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf"><code>SummaryInformation</code></a> from a
                                    given <a href="../../../../../org/apache/poi/hpsf/PropertySet.html"
                                             title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/PropertySet.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/PropertySet.html" target="_top">Frames</a>
        </li>
        <li><a href="PropertySet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
